function myDrawSS(seq, fs)
% MYDRAWSS draws both time-domain waveform and frequency-domain 
%  spectrum
% Usage:
%  myDrawSS(seq, fs)

pp = get(gcf,'Position');
set(gcf,'Position',[pp(1) pp(2) 1000 420]); % force to broader window

subplot(1,2,1);
plot(seq,'r');
grid on;
xlabel('indeksinrot');
title('Aaltomuoto');
soundsc(seq, fs);
%mysoundsc(seq, fs);

subplot(1,2,2);
seqF = fft(seq);
L    = length(seqF);
w    = fs*[0 : L-1]/L;
plot(w, abs(seqF));
grid on;
%plot(w, 20*log10(abs(seqF))); ylabel('dB');
set(gca,'XLim',[0 fs/2]);
xlabel('taajuus (Hz)');
title('Spektri');
 
