%% DT_T1_d1.m
% T-61.2010 Datasta tietoon 
% Tietokoneharjoitus #1
% Demo 1
%
% Jukka Parviainen, jukka.parviainen@aalto.fi, 20111026

%% Matlabin peruskytt
%
% Luo kurssille alihakemisto ja sen alle tlle kierrokselle
%  alihakemisto.
%
% Avaa Matlab.
% Matlabin ikkunat: komentoikkuna, historia, tytilan 
%  muuttuja ('workspace').
% Aseta tyhakemisto osoittamaan kierroksen alihakemistoon.
%  (Matlabin kyttliittymss ylhll keskell 'Current Folder'.)
% 
% Avaa Matlabin editori komennolla 'edit'.
%  Valitse Cell->Enable cell mode.
%  "Cell" == lohko %%-merkinnn vlill, kytetn niss
%   demoissa.

%% Skalaarit, vektorit ja matriisit
%
% Voit napsutella seuraavat rivit suoraan 

% skalaarimuuttujat x ja y:
x = 5
y = 3+x

% vaaka- ja pystyvektoreita:
w = [4 : 2 : 8]
v = [2 3]'

% matriisi:
A = [3 2 4; 1 2 3]

% satunnaislukuja normaalijakaumasta 
s = 9*randn(1,6)+174
% keskihajonta ~ 9, keskiarvo ~ 174

%% Esimerkki etisyyksien laskemisesta
% x1, x2 ja x3 ovat 3-ulotteisia vektoreita; datapisteit 
%  4-ulotteisessa avaruudessa
x1 = [2 5 1 0]';
x2 = [-3 6 3 2]';
x3 = [-3 5 3 -2]';

% Nm voidaan merkit yhten datamatriisina X
X = [x1 x2 x3]

% Matriisin indeksit: ensimminen indeksi viittaa
%  riveihin ja toinen sarakkeisiin. Esimerkkin
%  poimitaan X:sta rivit 2 ja 4 sek sarakkeet 2,3
X([2 4],2:3)

% Lasketaan keskiniset euklidiset etisyydet pisteiden vlill:
D1 = zeros(3,3);
D2 = zeros(3,3);
for i = (1 : 3)
    for j = (1 : 3)
        D1(i,j) = ...
            sqrt( (X(1,i)-X(1,j))^2 + (X(2,i)-X(2,j))^2 + (X(3,i)-X(3,j))^2 + (X(4,i)-X(4,j))^2 );
        D2(i,j) = ...
            sqrt( sum((X(:,i)-X(:,j)).^2) );
        % Tss siis kytettiin vektorien vhennyst,
        %  vektorin alkioiden korottamista toiseen potenssiin ja
        %  alkioiden summaamista yhteen => (D1 == D2)
    end;
end;

D1
D2
% Monet Matlabin laskuoperaatiot voi toteuttaa ilman
%  for-silmukoita matriisien tai vektorien avulla.
% Lisksi moniulotteisten pisteiden vlimatkan laskemiseen
%  on tehty oma funktionsa pdist, pdist2, joilla 
%  asia hoituu yhden rivin komennolla.

%% m-tiedostot: Skripti- ja funktiotiedostot
%
% Hakemistossa on mys myCircle.m-niminen funktio.
% Avaa sekin editoriin, jotta voi katsoa sen sislt.
%
% Funktio on aliohjelma, jolle voidaan antaa argumentteja
% ja joka voi palauttaa muuttujia. Sill on oma muistiavaruus.
% Matlabin funktion ensimminen rivi on mrmuotoinen
% ja alkaa varatulla sanalla 'function', jota seuraa
% palautettavat muuttujat hakasuluissa pilkulla erotettuna,
% sitten '=', funktion nimen runko ja suluissa sisntulevat
% argumentit pilkuilla erotettuna.
%
% Skripti on kokoelma yksittisi komentoja, jotka
% on talletettu m-tiedostoon ja joita ajetaan rivi rivilt.
% Muuttujat tallettuvat Matlabin varsinaiseen tytilaan
% 'workspace'. Tm tiedosto on skriptitiedosto -
% se ei ala function-rivill kuten funktiot.

sade1 = 1
[ala1, halkaisija1] = myCircle(sade1)

sade2 = 3
[ala2, halkaisija2] = myCircle(sade2)

%% Muutamia komentoja
%
% Komennolla 'whos' net tytilassa olevat muuttujat ja
% ja niiden dimensionaalisuuden ja tyypin.
whos

% Komennolla 'help' saat listietoja funktioista tai
% toolboxeista. 
help myCircle

% Laajemman dokumentaation saat komennolla 'doc'.
doc plot

